% Template for PLoS
% Version 3.5 March 2018
%
% % % % % % % % % % % % % % % % % % % % % %
%
% -- IMPORTANT NOTE
%
% This template contains comments intended
% to minimize problems and delays during our production
% process. Please follow the template instructions
% whenever possible.
%
% % % % % % % % % % % % % % % % % % % % % % %
%
% Once your paper is accepted for publication,
% PLEASE REMOVE ALL TRACKED CHANGES in this file
% and leave only the final text of your manuscript.
% PLOS recommends the use of latexdiff to track changes during review, as this will help to maintain a clean tex file.
% Visit https://www.ctan.org/pkg/latexdiff?lang=en for info or contact us at latex@plos.org.
%
%
% There are no restrictions on package use within the LaTeX files except that
% no packages listed in the template may be deleted.
%
% Please do not include colors or graphics in the text.
%
% The manuscript LaTeX source should be contained within a single file (do not use \input, \externaldocument, or similar commands).
%
% % % % % % % % % % % % % % % % % % % % % % %
%
% -- FIGURES AND TABLES
%
% Please include tables/figure captions directly after the paragraph where they are first cited in the text.
%
% DO NOT INCLUDE GRAPHICS IN YOUR MANUSCRIPT
% - Figures should be uploaded separately from your manuscript file.
% - Figures generated using LaTeX should be extracted and removed from the PDF before submission.
% - Figures containing multiple panels/subfigures must be combined into one image file before submission.
% For figure citations, please use "Fig" instead of "Figure".
% See http://journals.plos.org/plosone/s/figures for PLOS figure guidelines.
%
% Tables should be cell-based and may not contain:
% - spacing/line breaks within cells to alter layout or alignment
% - do not nest tabular environments (no tabular environments within tabular environments)
% - no graphics or colored text (cell background color/shading OK)
% See http://journals.plos.org/plosone/s/tables for table guidelines.
%
% For tables that exceed the width of the text column, use the adjustwidth environment as illustrated in the example table in text below.
%
% % % % % % % % % % % % % % % % % % % % % % % %
%
% -- EQUATIONS, MATH SYMBOLS, SUBSCRIPTS, AND SUPERSCRIPTS
%
% IMPORTANT
% Below are a few tips to help format your equations and other special characters according to our specifications. For more tips to help reduce the possibility of formatting errors during conversion, please see our LaTeX guidelines at http://journals.plos.org/plosone/s/latex
%
% For inline equations, please be sure to include all portions of an equation in the math environment.  For example, x$^2$ is incorrect; this should be formatted as $x^2$ (or $\mathrm{x}^2$ if the romanized font is desired).
%
% Do not include text that is not math in the math environment. For example, CO2 should be written as CO\textsubscript{2} instead of CO$_2$.
%
% Please add line breaks to long display equations when possible in order to fit size of the column.
%
% For inline equations, please do not include punctuation (commas, etc) within the math environment unless this is part of the equation.
%
% When adding superscript or subscripts outside of brackets/braces, please group using {}.  For example, change "[U(D,E,\gamma)]^2" to "{[U(D,E,\gamma)]}^2".
%
% Do not use \cal for caligraphic font.  Instead, use \mathcal{}
%
% % % % % % % % % % % % % % % % % % % % % % % %
%
% Please contact latex@plos.org with any questions.
%
% % % % % % % % % % % % % % % % % % % % % % % %

\documentclass[10pt,letterpaper]{article}
\usepackage[top=0.85in,left=2.75in,footskip=0.75in]{geometry}

% amsmath and amssymb packages, useful for mathematical formulas and symbols
\usepackage{amsmath,amssymb}

% Use adjustwidth environment to exceed column width (see example table in text)
\usepackage{changepage}

% Use Unicode characters when possible
\usepackage[utf8x]{inputenc}

% textcomp package and marvosym package for additional characters
\usepackage{textcomp,marvosym}

% cite package, to clean up citations in the main text. Do not remove.
\usepackage{cite}

% Use nameref to cite supporting information files (see Supporting Information section for more info)
\usepackage{nameref,hyperref}

% line numbers
\usepackage[right]{lineno}

% ligatures disabled
\usepackage{microtype}
\DisableLigatures[f]{encoding = *, family = * }

% color can be used to apply background shading to table cells only
\usepackage[table]{xcolor}

% array package and thick rules for tables
\usepackage{array}

% create "+" rule type for thick vertical lines
\newcolumntype{+}{!{\vrule width 2pt}}

% create \thickcline for thick horizontal lines of variable length
\newlength\savedwidth
\newcommand\thickcline[1]{%
  \noalign{\global\savedwidth\arrayrulewidth\global\arrayrulewidth 2pt}%
  \cline{#1}%
  \noalign{\vskip\arrayrulewidth}%
  \noalign{\global\arrayrulewidth\savedwidth}%
}

% \thickhline command for thick horizontal lines that span the table
\newcommand\thickhline{\noalign{\global\savedwidth\arrayrulewidth\global\arrayrulewidth 2pt}%
\hline
\noalign{\global\arrayrulewidth\savedwidth}}


% Remove comment for double spacing
\usepackage{setspace}
\doublespacing

% Text layout
\raggedright
\setlength{\parindent}{0.5cm}
\textwidth 5.25in
\textheight 8.75in

% Bold the 'Figure #' in the caption and separate it from the title/caption with a period
% Captions will be left justified
\usepackage[aboveskip=1pt,labelfont=bf,labelsep=period,justification=raggedright,singlelinecheck=off]{caption}
\renewcommand{\figurename}{Fig}

% Use the PLoS provided BiBTeX style
\bibliographystyle{plos2015}

% Remove brackets from numbering in List of References
\makeatletter
\renewcommand{\@biblabel}[1]{\quad#1.}
\makeatother



% Header and Footer with logo
\usepackage{lastpage,fancyhdr,graphicx}
\usepackage{epstopdf}
%\pagestyle{myheadings}
\pagestyle{fancy}
\fancyhf{}
%\setlength{\headheight}{27.023pt}
%\lhead{\includegraphics[width=2.0in]{PLOS-submission.eps}}
\rfoot{\thepage/\pageref{LastPage}}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrule}{\hrule height 2pt \vspace{2mm}}
\fancyheadoffset[L]{2.25in}
\fancyfootoffset[L]{2.25in}
\lfoot{\today}

%% Include all macros below

\newcommand{\lorem}{{\bf LOREM}}
\newcommand{\ipsum}{{\bf IPSUM}}

%% END MACROS SECTION

\begin{document}
\vspace*{0.2in}

% Title must be 250 characters or less.
\begin{flushleft}
{\Large
\textbf\newline{From invisibility to readability: Recovering the ink of Herculaneum} % Please use "sentence case" for title and headings (capitalize only the first word in a title (or heading), the first word in a subtitle (or subheading), and any proper nouns).
}
\newline
% Insert author names, affiliations and corresponding author email (do not include titles, positions, or degrees).
\\
Clifford Seth Parker\textsuperscript{1*},
Stephen Parsons\textsuperscript{1},
Jack Bandy\textsuperscript{1},
Christy Chapman\textsuperscript{1},
Frederik Coppens\textsuperscript{2},
William Brent Seales\textsuperscript{1},
\\
\bigskip
\textbf{1} Department of Computer Science, College of Engineering, University of Kentucky, Lexington, Kentucky, USA
\\
\textbf{2} Bruker Micro-CT, Kontich, Belgium
\\
\bigskip

% Insert additional author notes using the symbols described below. Insert symbol callouts after author names as necessary.
%
% Remove or comment out the author notes below if they aren't used.
%
% Primary Equal Contribution Note
% \Yinyang These authors contributed equally to this work.

% Additional Equal Contribution Note
% Also use this double-dagger symbol for special authorship notes, such as senior authorship.
% \ddag These authors also contributed equally to this work.

% Current address notes
% \textcurrency Current Address: Dept/Program/Center, Institution Name, City, State, Country % change symbol to "\textcurrency a" if more than one current address note
% \textcurrency b Insert second current address
% \textcurrency c Insert third current address

% Deceased author note
% \dag Deceased

% Group/Consortium Author Note
% \textpilcrow Membership list can be found in the Acknowledgments section.

% Use the asterisk to denote corresponding authorship and provide email address in note below.
* Corresponding author \\
E-mail: c.seth.parker@uky.edu (CSP)
\end{flushleft}

% Please keep the abstract below 300 words
\section*{Abstract}
The noninvasive digital restoration of ancient texts written in carbon black ink and hidden inside artifacts has proven elusive, even with advanced imaging techniques like x-ray-based micro-computed tomography (micro-CT).
This paper identifies a crucial mistaken assumption: that micro-CT data fails to capture \textit{any} information representing the presence of carbon ink.
Instead, we show new experiments indicating a subtle but detectable signature from carbon ink in micro-CT.
We demonstrate a new computational approach that captures, enhances, and makes visible the characteristic signature created by carbon ink in micro-CT.
This previously ``unseen'' evidence of carbon inks, which can now successfully be made visible, is a discovery that can lead directly to the noninvasive digital recovery of the lost texts of Herculaneum.


% Please keep the Author Summary between 150 and 200 words
% Use first person. PLOS ONE authors please skip this step.
% Author Summary not valid for PLOS ONE submissions.
% \section*{Author summary}
% Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur eget porta erat. Morbi consectetur est vel gravida pretium. Suspendisse ut dui eu ante cursus gravida non sed sem. Nullam sapien tellus, commodo id velit id, eleifend volutpat quam. Phasellus mauris velit, dapibus finibus elementum vel, pulvinar non tellus. Nunc pellentesque pretium diam, quis maximus dolor faucibus id. Nunc convallis sodales ante, ut ullamcorper est egestas vitae. Nam sit amet enim ultrices, ultrices elit pulvinar, volutpat risus.

\linenumbers

\section*{Introduction}
While written language emerged just 5,000 years ago \cite{oxford-archaeology}, the vast majority of manuscripts available for study and analysis are only about half this age, with many primary editions having been lost to the turbulence of the ancient era or the deleterious passage of time.
Damage and decay, dual realities of the physical world, are constantly at work to rob us of humanity’s written record.
Today, our only glimpse of many of our most important texts is through secondary witnesses, painstakingly preserved by medieval scholars, but now teetering on the verge of oblivion.

In the past, no feasible way to overcome this damage existed.
Today, however, noninvasive advanced imaging techniques provide a viable solution.
In 2015, we used micro-computed tomography (micro-CT) coupled with specialized analysis software --- a process we term ``virtual unwrapping'' --- to image and digitally recover a burned Hebrew scroll so fragile that traditional restoration methods were not attempted \cite{seales-engedi-2016}.
For the first time ever, a complete text was digitally retrieved and recreated from inside an object so severely damaged that it would never be physically opened.

This technical breakthrough in the restoration of friable manuscripts forged a pathway for reading the most iconic and inaccessible of irreparably damaged materials: the lost texts of Herculaneum.
Buried and carbonized in the eruption of Mount Vesuvius in 79 CE, this cache of more than 1,800 papyrus rolls was found in a luxurious Roman home believed to belong to the family of Julius Caesar’s father-in-law \cite{oxford-classical}.
The collection represents the only large-scale library to have survived from Greco-Roman antiquity and the only classical one to have been found \textit{in situ}.
While any successful recovery of humanity's collective textual record stands to impact the literary and historical canon, the materials from Herculaneum are especially intriguing to scholars \cite{seabrook2015}.

Unfortunately, the Herculaneum papyri represent a perfect storm of challenges for the virtual unwrapping process.
They are massively damaged, extremely fragile, and written in a carbon ink known as ``lamp black.''
While micro-CT overcomes concerns regarding fragility and the threat of additional damage due to physical handling, it also constrains the restoration process, particularly with regards to ink detection.
Conventional wisdom claims that ``what you see is what you get'' in micro-CT.
If text doesn’t readily appear when the raw data is analyzed and rendered as a viewable image, then the ink signal must be absent from the data.
Such thinking has led to the belief that carbon inks, such as the lamp black of the Herculaneum scrolls, are completely ``invisible'' to regular micro-CT imaging \cite{gibson2018assessment}.

In this paper, we refute those claims and conclusively demonstrate the detectability of carbon inks in micro-CT.
Previous attempts to render carbon-inked text from micro-CT relied upon a single characteristic of the manuscript to detect the ink: the presence of a relative density difference between the ink and the writing substrate.
We show, however, that inked writing substrates demonstrate other characteristic signals that enable the detection of carbon ink in the absence of relative density differences.

Using our knowledge of these characteristics, we construct a machine learning (ML) pipeline, built upon a 3D Convolutional Neural Network (3DCNN), that detects carbon ink in micro-CT data.
Our approach does not depend upon the presence of any particular ink characteristic, but rather constructs a general model of the ink's signal from the micro-CT data.
We also construct a modification of this pipeline that generates {\em photorealistic renderings} of the inked papyrus surface.
Finally, we apply both ML pipelines to authentic Herculaneum material, opening the path forward for reading the entirety of the hidden layers and folds of the Herculaneum papyri.

\paragraph*{Related work}
Technological progress toward the noninvasive recovery of text from inside damaged manuscripts has occurred rapidly in recent years.
The first micro-CT scans of Herculaneum scrolls were performed in 2009, revealing a complex internal structure but an incomplete understanding of the
ink signal \cite{seales2011analysis}.
Seales et al.\ proposed the use of phase contrast micro-CT (XPCT), an extension to micro-CT that enhances the contrast between materials with subtle density variations \cite{seales2013virtual}.
Subsequent applications of XPCT to Herculaneum scrolls claimed successful ink detection and the identification of individual Greek characters and words \cite{mocella2015revealing,bukreeva2016virtual}.
These results, however, have yet to be confirmed, extended, or used to reveal complete passages of text.
In fact, no identifiable, readable text has been recovered from inside a closed Herculaneum scroll.

The work on the En-Gedi Scroll \cite{seales-engedi-2016} represented the first complete, noninvasive recovery of text from inside a badly damaged manuscript.
This work formalized the concept of virtual unwrapping, a computational pipeline that converts volumetric datasets into two-dimensional images of recovered texts.
Other work in the area of virtual unwrapping has primarily focused on the segmentation and flattening of writing substrates \cite{samko2014virtual,baum2017revealing,rosin2018virtual}.
The findings in all of these projects relied on the fact that the revealed ink was significantly denser than the writing substrate and could be seen by filtering the data for bright pixel values.

Most prior work on {\em carbon ink} recovery has focused on applying various imaging methods so that the ink is directly and clearly visible in the resulting image data.
The recent work by Gibson et al.\ \cite{gibson2018assessment} thus far represents the most extensive effort to evaluate the performance of noninvasive imaging methods at capturing different types of ink.
Their results discounted the ability of micro-CT to detect carbon ink hidden within closed manuscripts, noting that ``XMT [micro-CT] can be used to examine the physical construction of the artifact, and identify heavy metal-based inks, but not carbon-based inks.'' They concluded that, ``At the moment, there cannot be confidence that deeper carbon-based inks can be detected.''

In recent years, there has been a boom in machine learning research due to the advent of affordable GPU-based computation and the introduction of easy-to-use development tools, such as TensorFlow \cite{abadi2016tensorflow}.
It is now easier and faster than ever to train custom machine learning models to handle a variety of previously unexplored problems.
Machine learning is widely used for classification tasks that differentiate images according to their features.
Deep convolutional neural networks have proven tremendously successful in object recognition using 2D images \cite{krizhevsky2012imagenet}.
ML applications to biomedical images demonstrated remarkable classification performance despite there being only subtle differences among inputs \cite{ciresan2013mitosis,esteva2017dermatologist}.

The development of three-dimensional convolutional neural networks \cite{ji20133d} opened an ML pathway for exploring volumetric datasets.
Many of these works attempted to identify an object contained within a volume based on its 3D shape \cite{wu20153d,maturana2015voxnet,qi2016volumetric}.
Work on biomedical volumes has largely focused on object segmentation --- isolating voxels that belong to a particular organ or structure from those in the rest of the volume \cite{cciccek20163d,milletari2016v,havaei2017brain,dou20173d,kamnitsas2017efficient}.
A recent work by De Fauw et al.\ shows the promise of 3DCNNs in processing volumetric scan data and producing a classification \cite{de2018clinically}.

Our work differs from those cited above in that we are classifying small regions of volumetric data according to the presence of a localized signal.
Bruno et al.\ performed a similar task in 2D that uses a CNN to label regions of x-ray crystallography images for the likely presence of a protein crystal \cite{bruno2018classification}.
In 3D, Ghafoorian et al.\ used multiple CNNs to detect the location of lacunes within MRI brain scans \cite{ghafoorian2017deep}.
They use a multi-scale 3DCNN system as a second pass filter for false positive reduction.
These approaches have never before been applied to the problem of detecting inks in micro-CT.

Finally, while neural networks have been used extensively for optical character recognition (OCR) \cite{lecun1998gradient,bai2014image,zhong2015high,chen2015beyond}, our work does not fall into this category.
The OCR task is concerned with the identification and recognition of specific, visible letterforms and then the conversion of those letterforms into machine-encoded text, such as a plain text file.
In contrast, our work transforms CT scans of manuscripts in which ink cannot be seen into images in which the ink is clearly visible.
It does not identify letterforms, but rather a 3D structural pattern in the micro-CT volume that indicates the presence of ink.
It is a general approach to ink detection that we believe can be used to enhance any ink in micro-CT, not just the carbon ink we explore in this work.
Our method, therefore, is not limited in application to a particular language or character set and is just as useful for revealing inked illustrations as it is for revealing text.

\section*{Rethinking visibility}
Until recently, very few people cared what the written word might look like in a micro-CT scan.
As a result, the properties associated with the way ink appears in micro-CT are not only complex and obscure, but also understudied.
In the absence of a more complete investigation into these properties, a convention formed around the use of a simple ink detection technique that revealed some inks in micro-CT scans.
By filtering the micro-CT volume for relative density differences between the ink and the writing substrate --- those places where the ink and the substrate have dramatically differing chemistries --- the ink could be revealed.
This idea is quite reasonable and has been used to great effect.
For certain inks, such as the iron gall used in many medieval texts, the ink attenuates the x-rays more than the animal skin or papyrus it covers, and thus it appears to be much ``brighter'' in micro-CT images.
By filtering the micro-CT volume for bright values, these inks become immediately visible during visual analysis of the scan output.

While this direct approach works for inks with heavier components, it has not been effective for carbon inks.
Applications of this method to scans of the Herculaneum scrolls, for instance, have not immediately revealed text.
This ``invisibility'' occurs because the chemical composition of the substrate is very similar to the carbon ink coating it.
As a result, x-rays pass through both the carbon ink and carbonized papyrus in almost exactly the same way.
When the micro-CT images are visualized (via volume rendering or slice viewing), there are no observable intensity differences between the ink and the writing substrate to indicate the presence of text.
This effect has resulted in the commonly held belief that carbon ink is undetectable, or even ``invisible,'' in micro-CT.

The use of the term ``invisible'' is significant as it reveals a central bias in the attempt to detect carbon inks.
The reliance on {\em direct visual inspection} of the raw data muddles the distinction between what the human eye can see during post-scan analysis and what signals are actually captured by micro-CT.
While the ink may remain visually indiscernible, or ``invisible,'' this does not mean that the imaging method has failed to detect the ink.
For the ink to be truly ``invisible'' to the micro-CT scanner --- for any evidence of ink to be completely absent from the resulting scan --- the x-rays must pass through the ink without being appreciably attenuated.
However, a lack of attenuation would contradict the fact that the ink and the writing substrate have similar chemistries.
If the substrate attenuates the x-rays, as is evident in all micro-CT studies of manuscripts, so too must the ink.

In fact, the assertion that carbon ink is ``invisible'' to the micro-CT scanner is demonstrably false, as shown in Fig~\ref{fig:carbon-notecard}.
For this simple experiment, we acquired a micro-CT scan of a phantom made from a standard office notecard and a carbon ink mixture of lamp black pigment and linseed oil.
The ink, generously applied to the notecard, formed small mounds two to three times as thick as the notecard itself.
Fig~\ref{fig:carbon-notecard} shows the cross-sectional slice images from two different micro-CT scans of the phantom, one low-energy (42kV, 190uA) and one high-energy (130kV, 61uA).
These scan settings represent the range of energies that might be used to scan authentic materials \textit{in situ}.
In both scans, signal from the ink was captured in the micro-CT scan and is readily visible as a ``bump'' along the surface of the notecard.

\begin{figure}[!ht]
    \caption{{\bf Micro-CT slices of the notecard phantom.}
    A: Low-energy scan (42kV) B: High-energy scan (130kV) The carbon ink can be seen as a pronounced ``bump'' along the surface in both scans.
    }
    \label{fig:carbon-notecard}
\end{figure}

\paragraph*{Contrast}
The notecard experiment clearly reveals that micro-CT scanners can capture the presence of carbon ink.
Yet, the identification and rendering of that ink during post-scan analysis is a more challenging task.
Recognizing the ink signal depends upon the presence of some type of contrast, or discernible difference, between the ink and the substrate.
For example, the low-energy scan in the notecard experiment demonstrates \textit{intensity-based contrast}, where the ink and the writing substrate present observably different brightness values.

However, ``contrast'' need not always be based on intensity.
Both scans also demonstrate \textit{morphological contrast}, which is an observable change to the structure or shape of the substrate caused by the application of ink.
The cross-sectional bulge in the substrate's thickness is just this: a shape-based contrast that makes the ink stand out visually.

While the ink in the notecard experiment exhibits an exaggerated morphological profile, such changes also occur when carbon ink is applied at ``normal'' thicknesses.
This effect can be seen in scanning electron microscope (SEM) images of a papyrus phantom coated with a single application of carbon ink (Fig~\ref{fig:sem}).
In these images, one can see profound morphological differences between the inked and uninked writing surfaces.
The ink coats the writing substrate and modifies the substrate's structural patterns.
These modifications result in a new structural pattern that is unique to the inked writing surface.
While some strong surface features remain visible in both regions, the ink-coated surface is visibly smoother than the uninked surface.
It also has unique features, such as crack lines, not seen on the uninked surface.

\begin{figure}[!ht]
    \caption{{\bf SEM images of a carbon phantom sample.}
    A: Surface SEM image showing both inked and uninked regions.
    Measurements indicate fiber width, papyrus ``cells,'' and smooth regions where ink has been applied.
    B: Surface SEM image showing only an inked region.
    Measurements show coated fibers and a smooth regions of ink.
    C: Cross-sectional SEM image of an inked region showing the depth of the ink layer. Depth measurements account for camera angle with respect to the cross-sectional plane.}
    \label{fig:sem}
\end{figure}

These two types of contrast suggest a holistic approach to ink detection in micro-CT that has thus far gone unexplored.
The presence of ink in micro-CT is indicated by a combination of morphological and intensity-based differences spread across the writing surface.
These differences may be high contrast (e.g. large intensity differences or a thick ink layer) or they may be low contrast (e.g. little to no intensity difference or a very thin ink layer).
By capturing and characterizing the full set of differences between inked and uninked writing surfaces, it is possible to detect and enhance many types of ink, including carbon inks, that have previously gone unnoticed in micro-CT.
In this way, we will make the hidden texts of Herculaneum visible once again.

\paragraph*{Scan resolution}
With the addition of morphological contrast to the ink detection task, the spatial resolution of the micro-CT scan becomes a critical component to success.
While micro-CT captures the presence of the ink in principle, the important morphological features of the ink will be missed by the scanner if the scan resolution is too low.
The effective resolution of a micro-CT scan is determined by a number of factors, such as the spot size of the x-ray source and the pixel size of the x-ray detector.
For simplicity, we assume that the voxel size of the micro-CT volume is equivalent to the volume's effective resolution.
The voxel size, then, becomes one of the most important scan parameters and must be set in proportion to the size of the ink features.

From the SEM images, we can produce a number of useful measurements that help determine the optimal voxel size.
Across the substrate's surface, the distinguishing features of the ink and papyrus are relatively large.
Within a given 300 micron diameter region-of-interest, a dozen or more morphological features exist that may be used to distinguish the inked surface from the uninked surface.
In particular, the fibers that comprise papyrus's characteristic crosshatch pattern form long, continuous ``ridges'' that vary from 50 to 200 microns in width.
Between these ridges, the blank papyrus demonstrates a high-frequency pattern of rounded ``cells'' that are approximately 50-100 microns in diameter.
In the inked papyrus regions, the cells are obscured from view by the ink, while the ridges remain visible but muted.

Cross-sectional SEM images of the inked substrate show that the ink layer is only 3-5 microns thick (Fig~\ref{fig:sem}C).
Energy Dispersive x-ray spectroscopy (EDS) analysis of these cross-sections also indicate some absorption of the ink into the papyrus substrate (see \nameref{S1_Appendix}), adding an additional 4-12 microns of depth to the ink signal.
Because we cannot assume that ink has been absorbed uniformly across the entire papyrus surface, this results in a total ink layer depth of 3-17 microns.

To ensure that all ink features are represented in the micro-CT data, the smallest measurement related to the ink signal determines the minimum scan resolution required for carbon ink detection.
In our measurements, the smallest feature was the depth of the ink layer, which suggests an {\em ideal} voxel size that is less than or equal to 3 microns.
This guarantees at least one voxel sample through the thickness of the ink layer even when there is no ink absorption into the substrate.
However, due to the observed variation in ink depth, we limit the voxel size for our experiments between 3 and 17 microns.
Voxel sizes larger than 17 microns are not small enough to represent the finely detailed morphology of the ink.

\section*{Methods}
We design our two carbon ink detection methods using the observations of the previous section as the foundation: 1) there are morphological and intensity-based differences between inked and uninked writing surfaces and 2) given a small enough voxel size, these differences are captured in micro-CT volumes.
Our ink detection methods inspect regions-of-interest (subvolumes) along writing surfaces and use these characteristic differences to determine whether or not carbon ink is present.
We do not limit these methods to detecting only one type of contrast, but instead consider all of the differences between the inked and uninked writing surfaces.

The morphological signal that our methods must detect is extremely subtle and non-uniform.
The ink layer varies in thickness both above and below the writing surface.
Additionally, papyrus is a composite material with a highly irregular surface structure.
The differences between any two pieces of papyrus are much more pronounced than the subtle effect of the application of ink.
This variability makes it difficult to isolate the ink's unique contribution to the overall morphological structure of the surface.

Our methods address these complexities by relying upon the proven power of supervised machine learning to create a generalized model for ink detection in micro-CT.
We train a machine learning model to differentiate subvolumes containing ink from those that do not (Fig~\ref{fig:visual-overview}).
Once trained, this model can be applied to subvolumes from previously unencountered micro-CT data to identify and enhance regions that are likely to contain ink.

\begin{figure}[!ht]
  \caption{{\bf Overview of a System to Train a Neural Network to Detect Carbon Ink in CT Scan Data}}
  \label{fig:visual-overview}
\end{figure}

The model we use for training and classification is a three-dimensional convolutional neural network (3DCNN).
Convolutional neural networks are desirable for their ability to build a spatial representation of a signal based upon local features in the data \cite{lecun1999object}.
They have proven remarkably robust for detecting subtle signals in complex and irregular datasets \cite{ciresan2013mitosis,esteva2017dermatologist}.

We have integrated our two methods into our software pipeline for complete virtual unwrapping \cite{seales-engedi-2016}.
This pipeline provides a generic interface for isolating writing surfaces from micro-CT volumes and transforming them into flattened, 2D images of manuscript pages.
Integrating our methods with virtual unwrapping avoids the need to process the entire micro-CT volume by focusing computation on only those parts which are near writing surfaces.
Within the pipeline, our methods are applied as a texturing module --- an algorithm applied after surface isolation and flattening which attempts to detect and render ink.
The result of this process is a 2D image which indicates the presence of ink across an entire writing surface (Fig~\ref{fig:visual-overview}G).
Our first method produces an ``ink prediction image,'' which is a black-and-white image where white pixels indicate that ink has been detected.
Our second method produces a ``photorealistic rendering,'' a full color image that simulates what the manuscript might look like under visible light.

\paragraph*{Features and training labels}
The input features to our methods are subvolumes from the micro-CT volume that are situated on writing surfaces (Fig~\ref{fig:visual-overview}B).
Because of our integration with the virtual unwrapping pipeline, writing surfaces have already been isolated, and extracting subvolumes from these surfaces is straightforward.

Along with the subvolume feature, the 3DCNN also requires a label during training which indicates whether or not a subvolume contains carbon ink (Fig~\ref{fig:visual-overview}D).
In many supervised learning tasks, a human operator can generate label information by manually or semi-automatically inspecting the raw input data.
This approach will not work for our task, however, because the carbon ink cannot be observed directly in the micro-CT data.

In order to produce this label information, we train our network using scans of reference manuscripts that have been opened, photographed, and inspected for writing.
Using the reference photographs that clearly show carbon ink, we generate labels across the entire manuscript surface.
For the ink prediction network, these are binary labels of ``ink'' or ``no ink.''
We then use the virtual unwrapping pipeline to align these labels with the micro-CT volume, creating a correspondence between the labels and the extracted subvolumes (Fig~\ref{fig:visual-overview}C).

\paragraph*{Photorealistic rendering}
Many textual scholars prefer to conduct their analysis with images that appear more like photographs.
This propensity is problematic when images are coming from volumetric data that has been generated by x-ray.
Many features that are not ink can easily be misinterpreted as such simply by virtue of being brighter or darker than the writing substrate.

To lessen these pitfalls, our ``photorealistic rendering network'' produces images similar in appearance to full color photographs of opened manuscripts.
When applied to an unseen manuscript surface, the result is a color image that estimates how that manuscript might look under visible light.
This network differs from our original ink detection network only in the labels used during training.
Rather than training the network on binary ``ink'' or ``no ink'' labels, we instead train the network on the original RGB values provided by the reference photograph.

\paragraph*{Experimental data}
The primary object for this study is a papyrus scroll phantom written in carbon ink, referred to as the ``carbon phantom scroll'' (Fig~\ref{fig:cp-photo}).
This scroll is made from a rolled sheet of modern papyrus that has been divided into a 6x5 grid.
Each column of the grid contains the same sequence of five symbols, written using a pure carbon ink mixture.
These columns are differentiated by the number of times the ink is applied to the papyrus: Column 1 has a single application of ink, column 2 has two applications, and so on.
These graduated applications of ink allow us to test the effectiveness of our method with respect to the voxel size of the micro-CT scan.
As the voxel size of the scan gets larger, the resolution of the scan decreases, and it should become more difficult to detect the subtle ink signals in the first few columns of text.
Orientation and alignment markers at the corners of the grid, written in iron gall ink, help to locate those regions of the scan that contain carbon ink since the iron gall ink is easily visible in the scan data.
Energy-dispersive x-ray spectroscopy (EDS) of the carbon ink surface confirms a lack of iron or lead, two elements which are known to create intensity-based ink contrast in micro-CT.
Digital reference photographs and the micro-CT data of the carbon phantom scroll together form the first significant data set for this study.
The components of the ink mixture and EDS results for an inked sample are available in \nameref{S1_Appendix}.

\begin{figure}[!ht]
  \caption{{\bf Reference photograph of the opened carbon phantom scroll.}}
  \label{fig:cp-photo}
\end{figure}

While the carbon phantom experiment is important for showing the general detectability of carbon inks in micro-CT, it does not answer the question of whether authentic Herculaneum inks can be detected using our methods.
In order to confirm that our methods are applicable to Herculaneum material, we also applied them to a tomographic scan of a letter form called the ``lunate sigma'' (PHerc. Paris 2, Fragment 96; Fig~\ref{fig:lunate-sigma}A).
Our previous study of this and other Herculaneum fragments discovered that ``calcium and trace quantities of aluminum, magnesium, strontium and lead are the elements that discriminate between the ink in the Herculaneum fragments and the papyrus alone'' \cite{seales2013virtual}.
These elements were only present in low concentrations and did not produce intensity-based ink contrast in any of the acquired tomographic data.
We cannot rule out the possibility that these elements result in a slight, but currently undetectable, intensity signal where there is ink.
However, it is clear that the intensity component alone is not enough to render Herculaneum ink visible in regular micro-CT and that other ink characteristics should be considered as well.

\begin{figure}[!ht]
  \caption{{\bf Herculaneum fragment results.}
  A: Reference photograph
  B: Integral texture image
  C: Network generated ink prediction image
  D: Network generated photorealistic rendering}
  \label{fig:lunate-sigma}
\end{figure}

\section*{Results}

\paragraph*{Carbon phantom scroll}

We applied our two methods to the carbon phantom scroll to produce an ink prediction image and a photorealistic rendering for each of the scroll's columns.
The results for the row of delta symbols are shown in Fig~\ref{fig:cp-results}.
The first image shows a reference photograph of the scroll in which both the carbon ink and iron gall ink are visible.
The second image is the result of applying the standard virtual unwrapping pipeline using an integral texturing filter, which represents the former state-of-the-art method for rendering carbon ink from a segmented surface in CT.
While the fiber pattern of the papyrus and the iron gall ink are quite clear, the carbon ink delta is only slightly visible in columns 5 and 6.
More detail about the rendering process is available in \nameref{S1_Appendix}.

\begin{figure}[!ht]
  \caption{{\bf Results for the first row of the carbon phantom scroll.}
  A: Reference photograph
  B: Integral texture image
  C: Network-generated carbon ink prediction image
  D: Network-generated photorealistic rendering.}
  \label{fig:cp-results}
\end{figure}

The third image shows the results from applying our ink detection network.
One can clearly see that the network detects the carbon ink in the raw CT data where it was previously not visible.
It is also obvious that the network performs this function best in the columns where the ink's morphology is more pronounced.

The final image shows the results of the photorealistic rendering network.
In addition to the carbon ink signal, the network demonstrates that it has learned other features of the scroll, such as the iron gall ink and the papyrus fibers, and is capable of expressing these in color.

The carbon ink signal in column 1 is on the border of detectability by both networks.
This result is due to the voxel size of the carbon phantom volume.
The carbon phantom scroll was scanned at a 12 micron voxel size.
While this voxel size falls within our expected bounds for the minimum required voxel size, it approaches the upper limits of the range.
The morphological component of the column 1 ink as expressed in micro-CT is simply too small to be adequately captured by a 12 micron voxel size.
In contrast, the ink is readily apparent in column 2, which suggests that the network will be able to detect the column 1 ink with only a small increase to scan resolution.
The false positives in columns 2 and 3 --- the places on the writing surface that the network incorrectly identifies as containing ink --- indicate that our methods are making use of the morphology contained in the subvolume in order to detect the ink.
Many of these false positives align with papyrus fibers, suggesting that the combined thickness of the substrate and the ink plays a role in the network's determination of ink.
This result is supported by the strong response of our network to columns 5 and 6, where the ink's morphology is the most pronounced.
It is easier for the networks to detect the ink because it has a clear morphological difference from the papyrus.

The photorealistic rendering network has similar performance to the standard ink detection network when detecting carbon ink.
However, the subjective clarity of the text provided by the photorealistic network appears to be much better.
Areas of the surface where both networks produce high false positive rates are visually less noisy in the photorealistic render image than in the ink prediction image.
This clarity is due to the additional expressivity provided by having three output channels (R, G, and B) for each pixel in the photorealistic render.
This additional information allows many of the false positives generated by the ink detection network to be correctly rendered as fibers by the photorealistic rendering network.
Because of the networks' shared architecture, this suggests that the ink detection network can be improved by introducing labels for surface features other than ink.

Full image results for both methods, depicting all columns and rows of the carbon phantom scroll, are shown in Figs~\ref{fig:cp-full-ink} and \ref{fig:cp-full-rgb}.

\begin{figure}[!ht]
  \caption{{\bf Ink prediction image for the carbon phantom scroll, generated by the ink detection network.} This image is comprised of six training runs where one column at a time was isolated as the prediction and evaluation column.}
  \label{fig:cp-full-ink}
\end{figure}

\begin{figure}[!ht]
  \caption{{\bf Photorealistic rendering of the carbon phantom scroll.} This image is comprised of six training runs where one column at a time was isolated as the prediction and evaluation column.}
  \label{fig:cp-full-rgb}
\end{figure}

\paragraph*{Lunate sigma fragment}
Fig~\ref{fig:lunate-sigma} shows the results generated by applying both networks to the lunate sigma fragment.
The first image (Fig~\ref{fig:lunate-sigma}A) is the reference photograph of the fragment.
This image was captured using a confocal microscope; the color was enhanced to highlight the carbon ink.
The second image (Fig~\ref{fig:lunate-sigma}B) is a texture image generated by the standard virtual unwrapping pipeline using an integral filter (described in \nameref{S1_Appendix}).
The third image shows the results of applying our ink detection network, and the final one shows the results of applying our photorealistic rendering network.

The small surface area of the fragment required a variant of $k$-fold cross validation in order to train and make predictions on the lunate sigma volume.
We separated the dataset into ten non-overlapping regions and produced a network prediction image for each of these regions.
The results were then combined into the single prediction images shown in Figs~\ref{fig:lunate-sigma}C and \ref{fig:lunate-sigma}D.
More information about this process is available in \nameref{S1_Appendix}.

The results for the lunate sigma fragment clearly show that our methods are capable of detecting carbon ink on authentic Herculaneum fragments.
Despite the small number of training examples, the letter form is discernible across the entire composite prediction image.
In the lower region of the fragment, in particular, one can see the curved shape delineating the boundary edge of the letter form.
The curved shape resulting from the detected ink signal is an important feature since the presence of the curve is unlikely to arise from papyrus fibers, which are linear and orthogonal to each other.
No other observable features of the fragment's surface are curved in this way.

\section*{Discussion}
Our work lays an important foundation for the future of digital restoration of damaged texts.
We have demonstrated that regular micro-CT can be used to detect carbon inks and that these inks can be revealed for scholarship via a computational approach.
This result overturns a prevalent mischaracterization of the power of micro-CT and opens up a pathway for the recovery of texts previously thought inaccessible.
Moreover, we have shown that the same computational method used to detect the ink can be used to enhance the visualization of the material, making scholarship easier than ever before.
The ability to enhance data across modalities is powerful and not limited to micro-CT volumes and full color photography.
In particular, we anticipate that the integration of spectral image data into this pipeline will render this tool even more powerful for scholarship.

Of particular importance is the ability of our network to detect authentic Herculaneum ink.
This opens an exciting new pathway for reading the entirety of the Herculaneum scroll collection.
We believe that a carbon ink detection network, properly trained on a large reference library of micro-CT scans, can be applied to micro-CT scans of unopened Herculaneum scrolls to reveal previously hidden text.

However, the success of this approach is predicated upon access to authentic materials.
The power of our network to detect carbon ink is enabled primarily by the data used to train it.
We must build a reference library of micro-CT scans of authentic carbon ink texts, and no better collection exists than that of the fragments from opened Herculaneum scrolls.
Scanning and photographing these fragments will provide the necessary training data for creating a robust and powerful ink detection network that will enable the reading of intact Herculaneum scrolls.

A critical component in the design of the reference library is the voxel size at which scans should be acquired.
Through these experiments, we have determined that the minimum required voxel size to detect carbon ink in micro-CT is between 3 and 12 microns, likely nearer to the smaller of those values.
Our ability to establish this range more precisely is hindered only by the lack of scans of authentic material with this level of detail.

The ability to acquire scans at these voxel sizes is a logistical problem rather than a technical one.
Many of the smaller Herculaneum fragments, both those with exposed text and those still wrapped, can be scanned at or near 5 micron voxel sizes using existing laboratory scanners.
For larger objects, including the fully intact Herculaneum scrolls, scans can be performed at a synchrotron facility or by constructing a custom micro-CT scanner.
Synchrotrons offer extremely high spatial resolutions at much faster per-scan acquisition times when compared to conventional laboratory systems.
However, the access and cost restraints of a synchrotron make this option unfeasible for acquiring the large number of scans required to build a complete reference library.

Alternatively, constructing a custom micro-CT system capable of scanning the larger Herculaneum pieces is feasible using existing technology.
While many factors go into designing such a system (see ``Designing a Custom Micro-CT Scanner'' in \nameref{S1_Appendix}), the key challenge in reaching a high-enough spatial resolution is having enough pixels horizontally in the x-ray projection images.
Many systems achieve smaller voxel sizes by zooming in on the object and off-setting, or tiling, the x-ray detector to produce a wider image.
The Bruker SkyScan 1272, a state-of-the-art laboratory system with a 16 megapixel CCD camera, allows triple off-setting of the sensor.
This system could achieve a 6.92 micron image pixel for a Herculaneum scroll with a 10cm diameter.
In principle, this approach can be extended by tiling the detector four times to reach a 5 micron pixel size.

While our ink detection methods represent a major step forward in the noninvasive analysis of damaged manuscripts, there are areas for continued development, particularly with regards to the scale of the experiments.
Manuscripts vary in their construction and chemistry, and we do not yet know how these differences will affect the appearance of surface ink features in micro-CT.
Similarly, micro-CT volumes vary significantly in their scan parameters and in the dynamic range of their voxels.
We have not yet explored how sensitive our network is to these parameters, but we anticipate the need to introduce some type of normalization step within our network to account for these differences.
We believe that all of these questions have clear answers and that the full potential for our network will be achieved as additional authentic data is acquired.

\section*{Conclusion}
While the text within damaged and fragile documents can be stubbornly resistant to any and all efforts to reveal its contents, our work has taken another successful step towards the complete recovery of the world's most precious manuscripts.
Our results overturn the belief that micro-CT offers no solution for carbon ink manuscripts, thereby opening up a new category of texts for noninvasive, digital restoration.
Within this category are the Herculaneum scrolls.
With our machine learning pipeline’s proven ability to elicit the carbon ink signal and render it in a photorealistic way, the scholarly community may indeed be one step closer to witnessing ``a bursting forth of genius from the dust'' \cite{wordsworth-herculaneum} of Herculaneum.

\section*{Acknowledgments}
We thank the University of Kentucky's Center for Computational Sciences and Information Technology Services Research Computing for use of the Lipscomb Computing Cluster resources.
Access to SEM/EDS characterization instruments and staff assistance was provided by the Electron Microscopy Center at the University of Kentucky, supported in part by the National Science Foundation/EPSCoR Award No.\ 1355438 and by the Commonwealth of Kentucky.
We thank Michael Drakopoulos and Diamond Light Source in Oxfordshire, UK, as well as the Library of the Institut de France.
W.B.S.\ acknowledges funding from the NSF (award IIS-1422039). Any opinions, findings, and conclusions or recommendations expressed in this material are those of the author(s) and do not necessarily reflect the views of the NSF.
W.B.S.\ acknowledges funding from Google, Lee and Stacie Marksbury, and John and Karen Maxwell.

\nolinenumbers

% Either type in your references using
% \begin{thebibliography}{}
% \bibitem{}
% Text
% \end{thebibliography}
%
% or
%
% Compile your BiBTeX database using our plos2015.bst
% style file and paste the contents of your .bbl file
% here. See http://journals.plos.org/plosone/s/latex for
% step-by-step instructions.
%
% \bibliography{bibs/classics,bibs/imaging,bibs/machine-learning,bibs/team-refs,bibs/virtual-unwrapping,bibs/volcart-refs.bib}

\begin{thebibliography}{10}

\bibitem{oxford-archaeology}
In: Fagan BM, editor. The Oxford Companion to Archaeology. Oxford University
  Press; 1996. p. 762.

\bibitem{seales-engedi-2016}
Seales WB, Parker CS, Segal M, Tov E, Shor P, Porath Y.
\newblock From damage to discovery via virtual unwrapping: Reading the scroll
  from En-Gedi.
\newblock Science Advances. 2016;2(9).
\newblock doi:{10.1126/sciadv.1601247}.

\bibitem{oxford-classical}
In: Hornblower S, Spawforth A, Eidinow E, editors. The Oxford classical
  dictionary. 4th ed. Oxford University Press; 2012. p. 270.

\bibitem{seabrook2015}
Seabrook J.
\newblock The Invisible Library.
\newblock The New Yorker. 2015;.

\bibitem{gibson2018assessment}
Gibson A, Piquette KE, Bergmann U, Christens-Barry W, Davis G, Endrizzi M,
  et~al.
\newblock An assessment of multimodal imaging of subsurface text in mummy
  cartonnage using surrogate papyrus phantoms.
\newblock Heritage Science. 2018;6(1):7.

\bibitem{seales2011analysis}
Seales WB, Griffioen J, Baumann R, Field M.
\newblock Analysis of herculaneum papyri with x-ray computed tomography.
\newblock In: International Conference on nondestructive investigations and
  microanalysis for the diagnostics and conservation of cultural and
  environmental heritage; 2011.

\bibitem{seales2013virtual}
Seales WB, Delattre D.
\newblock Virtual unrolling of carbonized Herculaneum scrolls: Research Status
  (2007--2012).
\newblock Cronache Ercolanesi. 2013;43:191--208.

\bibitem{mocella2015revealing}
Mocella V, Brun E, Ferrero C, Delattre D.
\newblock Revealing letters in rolled Herculaneum papyri by X-ray
  phase-contrast imaging.
\newblock Nature communications. 2015;6.

\bibitem{bukreeva2016virtual}
Bukreeva I, Mittone A, Bravin A, Festa G, Alessandrelli M, Coan P, et~al.
\newblock Virtual unrolling and deciphering of Herculaneum papyri by X-ray
  phase-contrast tomography.
\newblock Scientific reports. 2016;6:27227.

\bibitem{samko2014virtual}
Samko O, Lai YK, Marshall D, Rosin PL.
\newblock Virtual unrolling and information recovery from scanned scrolled
  historical documents.
\newblock Pattern Recognition. 2014;47(1):248--259.

\bibitem{baum2017revealing}
Baum D, Lindow N, Hege HC, Lepper V, Siopi T, Kutz F, et~al.
\newblock Revealing hidden text in rolled and folded papyri.
\newblock Applied Physics A. 2017;123(3):171.

\bibitem{rosin2018virtual}
Rosin PL, Lai YK, Liu C, Davis GR, Mills D, Tuson G, et~al.
\newblock Virtual Recovery of Content from X-Ray Micro-Tomography Scans of
  Damaged Historic Scrolls.
\newblock Scientific reports. 2018;8(1):11901.

\bibitem{abadi2016tensorflow}
Abadi M, Barham P, Chen J, Chen Z, Davis A, Dean J, et~al.
\newblock TensorFlow: A System for Large-Scale Machine Learning.
\newblock In: OSDI. vol.~16; 2016. p. 265--283.

\bibitem{krizhevsky2012imagenet}
Krizhevsky A, Sutskever I, Hinton GE.
\newblock Imagenet classification with deep convolutional neural networks.
\newblock In: Advances in neural information processing systems; 2012. p.
  1097--1105.

\bibitem{ciresan2013mitosis}
Cire{\c{s}}an DC, Giusti A, Gambardella LM, Schmidhuber J.
\newblock Mitosis detection in breast cancer histology images with deep neural
  networks.
\newblock In: International Conference on Medical Image Computing and
  Computer-assisted Intervention. Springer; 2013. p. 411--418.

\bibitem{esteva2017dermatologist}
Esteva A, Kuprel B, Novoa RA, Ko J, Swetter SM, Blau HM, et~al.
\newblock Dermatologist-level classification of skin cancer with deep neural
  networks.
\newblock Nature. 2017;542(7639):115--118.

\bibitem{ji20133d}
Ji S, Xu W, Yang M, Yu K.
\newblock 3D convolutional neural networks for human action recognition.
\newblock IEEE transactions on pattern analysis and machine intelligence.
  2013;35(1):221--231.

\bibitem{wu20153d}
Wu Z, Song S, Khosla A, Yu F, Zhang L, Tang X, et~al.
\newblock 3d shapenets: A deep representation for volumetric shapes.
\newblock In: Proceedings of the IEEE conference on computer vision and pattern
  recognition; 2015. p. 1912--1920.

\bibitem{maturana2015voxnet}
Maturana D, Scherer S.
\newblock Voxnet: A 3d convolutional neural network for real-time object
  recognition.
\newblock In: Intelligent Robots and Systems (IROS), 2015 IEEE/RSJ
  International Conference on. IEEE; 2015. p. 922--928.

\bibitem{qi2016volumetric}
Qi CR, Su H, Nie{\ss}ner M, Dai A, Yan M, Guibas L.
\newblock Volumetric and Multi-View CNNs for Object Classification on 3D Data.
\newblock In: Proc. Computer Vision and Pattern Recognition (CVPR), IEEE; 2016.

\bibitem{cciccek20163d}
{\c{C}}i{\c{c}}ek {\"O}, Abdulkadir A, Lienkamp SS, Brox T, Ronneberger O.
\newblock 3D U-Net: learning dense volumetric segmentation from sparse
  annotation.
\newblock In: International Conference on Medical Image Computing and
  Computer-Assisted Intervention. Springer; 2016. p. 424--432.

\bibitem{milletari2016v}
Milletari F, Navab N, Ahmadi SA.
\newblock V-net: Fully convolutional neural networks for volumetric medical
  image segmentation.
\newblock In: 3D Vision (3DV), 2016 Fourth International Conference on. IEEE;
  2016. p. 565--571.

\bibitem{havaei2017brain}
Havaei M, Davy A, Warde-Farley D, Biard A, Courville A, Bengio Y, et~al.
\newblock Brain tumor segmentation with deep neural networks.
\newblock Medical image analysis. 2017;35:18--31.

\bibitem{dou20173d}
Dou Q, Yu L, Chen H, Jin Y, Yang X, Qin J, et~al.
\newblock 3D deeply supervised network for automated segmentation of volumetric
  medical images.
\newblock Medical Image Analysis. 2017;.

\bibitem{kamnitsas2017efficient}
Kamnitsas K, Ledig C, Newcombe VF, Simpson JP, Kane AD, Menon DK, et~al.
\newblock Efficient multi-scale 3D CNN with fully connected CRF for accurate
  brain lesion segmentation.
\newblock Medical image analysis. 2017;36:61--78.

\bibitem{de2018clinically}
De~Fauw J, Ledsam JR, Romera-Paredes B, Nikolov S, Tomasev N, Blackwell S,
  et~al.
\newblock Clinically applicable deep learning for diagnosis and referral in
  retinal disease.
\newblock Nature Medicine. 2018; p.~1.

\bibitem{bruno2018classification}
Bruno AE, Charbonneau P, Newman J, Snell EH, So DR, Vanhoucke V, et~al.
\newblock Classification of crystallization outcomes using deep convolutional
  neural networks.
\newblock PLOS one. 2018;13(6):e0198883.

\bibitem{ghafoorian2017deep}
Ghafoorian M, Karssemeijer N, Heskes T, Bergkamp M, Wissink J, Obels J, et~al.
\newblock Deep multi-scale location-aware 3d convolutional neural networks for
  automated detection of lacunes of presumed vascular origin.
\newblock NeuroImage: Clinical. 2017;14:391--399.

\bibitem{lecun1998gradient}
LeCun Y, Bottou L, Bengio Y, Haffner P.
\newblock Gradient-based learning applied to document recognition.
\newblock Proceedings of the IEEE. 1998;86(11):2278--2324.

\bibitem{bai2014image}
Bai J, Chen Z, Feng B, Xu B.
\newblock Image character recognition using deep convolutional neural network
  learned from different languages.
\newblock In: Image Processing (ICIP), 2014 IEEE International Conference on.
  IEEE; 2014. p. 2560--2564.

\bibitem{zhong2015high}
Zhong Z, Jin L, Xie Z.
\newblock High performance offline handwritten chinese character recognition
  using googlenet and directional feature maps.
\newblock In: Document Analysis and Recognition (ICDAR), 2015 13th
  International Conference on. IEEE; 2015. p. 846--850.

\bibitem{chen2015beyond}
Chen L, Wang S, Fan W, Sun J, Naoi S.
\newblock Beyond human recognition: A CNN-based framework for handwritten
  character recognition.
\newblock In: Pattern Recognition (ACPR), 2015 3rd IAPR Asian Conference on.
  IEEE; 2015. p. 695--699.

\bibitem{lecun1999object}
LeCun Y, Haffner P, Bottou L, Bengio Y.
\newblock Object recognition with gradient-based learning.
\newblock In: Shape, contour and grouping in computer vision. Springer; 1999.
  p. 319--345.

\bibitem{wordsworth-herculaneum}
Wordsworth W.
\newblock ``September, 1918''.
\newblock In: The Complete Poetical Works. Macmillan and Co.; 1888.

\end{thebibliography}

\section*{Supporting information}

\paragraph*{S1 Appendix.}
\label{S1_Appendix}
{\bf Expanded Materials and Methods.} Detailed descriptions of materials, methods, and computational processes.
Includes report on alternative ink detection filters developed prior to the work presented here.
\end{document}
